> For the complete documentation index, see [llms.txt](https://docs.chatlayer.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chatlayer.ai/chatlayer-documentation-pt-br/buildabot/tips-and-best-practices/route-your-flow-depending-on-the-channel.md).

# Encaminhe seu fluxo dependendo do canal

## Multicanal

Chatlayer.ai permite conectar um bot a múltiplos canais ao mesmo tempo.

Se você quiser que seus usuários sigam um fluxo diferente com base no canal que estão usando, você pode usar nossa funcionalidade multicanal. Para fazer isso, adicione um [Ir Para](/chatlayer-documentation-pt-br/buildabot/flow-logic/dialog-state/plugins.md) no ponto do seu fluxo onde deseja divergir, com base no canal.

Dentro deste 'Ir Para', guie o usuário com base na `interno.canal` variável, que contém a variável do canal. Na imagem abaixo você pode ver um bot que está conectado ao Facebook Messenger e ao chat web; para oferecer a melhor experiência em cada canal, ele desvia os usuários para o fluxo específico do canal criando uma condição: se a variável internal.channel for igual a "facebook", crie um 'Ir Para' para o fluxo do Facebook; caso contrário (else if), crie um 'Ir Para' para o fluxo Web:

![](/files/2e2194ca5f12efaae860d63072b90535273fc8f4)

Os valores para `interno.canal` correspondem aos nomes dos canais:

| Nome do canal                                                                                                        | valores para internal.channel |
| -------------------------------------------------------------------------------------------------------------------- | ----------------------------- |
| Todos os canais gerenciados através da Sinch Conversation API (SMS, RCS, WhatsApp, Viber, Instagram, Telegram, LINE) | sinchConversationAPI          |
| Amazon                                                                                                               | amazon                        |
| Canal de integração de aplicativo (no momento: webchat do Freshdesk Messaging)                                       | AppIntegrationChannel         |
| Widget de chat                                                                                                       | web                           |
| Facebook Messenger                                                                                                   | facebook                      |
| Facebook Workplace                                                                                                   | facebookWorkplace             |
| Google Home                                                                                                          | googleHome                    |
| Intercom                                                                                                             | intercom                      |
| Telefone (através do legado CM.com)                                                                                  | cmPhone                       |
| Sinch Contact Pro                                                                                                    | SinchInboxBotChannel          |
| Sinch Voice                                                                                                          | SinchVoiceBotChannel          |
| Sparkcentral                                                                                                         | SparkcentralBotChannel        |
| Voz (através do legado CM.com)                                                                                       | voice                         |
| Webhook                                                                                                              | webHook                       |
| Whatsapp (através do legado CM WhatsApp)                                                                             | whatsapp                      |
| WhatsApp através do ACL                                                                                              | ACLWhatsappBotChannel         |
| WhatsApp através do Wavy                                                                                             | WavyWhatsappBotChannel        |
| Zendesk                                                                                                              | ZendeskChatBotChannel         |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.chatlayer.ai/chatlayer-documentation-pt-br/buildabot/tips-and-best-practices/route-your-flow-depending-on-the-channel.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
